> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmembrane.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Export Internal Event Type to JSON



## OpenAPI

````yaml /api-reference/membrane-api.json get /app-event-types/{id}/export
openapi: 3.0.0
info:
  title: Membrane API
  description: API documentation for Membrane Engine
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmembrane.com
security:
  - bearer: []
tags: []
paths:
  /app-event-types/{id}/export:
    get:
      tags:
        - AppEventTypes
      summary: Export Internal Event Type to JSON
      operationId: exportAppEventType
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AppEventTypeExportDto'
components:
  schemas:
    AppEventTypeExportDto:
      type: object
      properties:
        key:
          type: string
        name:
          type: string
        uuid:
          type: string
        example:
          type: object
        schema:
          type: object
        subscribeRequest:
          type: object
          properties:
            method:
              type: string
            uri:
              type: string
            body:
              type: object
            query:
              type: object
            headers:
              type: object
          required:
            - uri
        tenantIdFormula:
          type: object
        userIdFormula:
          type: object
      required:
        - name
        - uuid
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````